"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Base
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Centered = void 0;
const React = require("react");
const Div_1 = require("./Div");
/** Centered React functional component.
 * Displays content centered vertically and horizontally.
 * @public
 */
function Centered(props) {
    return React.createElement(Div_1.Div, Object.assign({}, props, { mainClassName: "uicore-centered" }));
}
exports.Centered = Centered;
//# sourceMappingURL=Centered.js.map