/** @packageDocumentation
 * @module Base
 */
import { CommonDivProps } from "../utils/Props";
/** Properties for the [[Div]] component
 * @public
 */
export interface DivProps extends CommonDivProps {
    /** Main CSS class name */
    mainClassName: string;
}
/** Base div element React component
 * @public
 */
export declare function Div(props: DivProps): JSX.Element;
//# sourceMappingURL=Div.d.ts.map