"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Base
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasPointerEventsSupport = void 0;
/** Returns `true` if browser supports PointerEvents API.
 * @internal
 */
function hasPointerEventsSupport() {
    return !!window.PointerEvent;
}
exports.hasPointerEventsSupport = hasPointerEventsSupport;
//# sourceMappingURL=PointerEvents.js.map