/** @packageDocumentation
 * @module ContextMenu
 */
import * as React from "react";
/** Finds a tilde character in ContextMenu item label for hot key support
 * @internal
 */
export declare class TildeFinder {
    /**
     * Find character following a tilde character within a React.ReactNode.
     * @param node react node to search within for a tilde.
     * @returns character that was found, and the same node with tilde removed, and following character with an underline.
     */
    static findAfterTilde: (node: React.ReactNode) => {
        character: string | undefined;
        node: React.ReactNode;
    };
}
//# sourceMappingURL=TildeFinder.d.ts.map