/** @packageDocumentation
 * @module Common
 */
/**
 * Enumeration for horizontal alignment.
 * @public
 */
export declare enum HorizontalAlignment {
    Left = "left",
    Center = "center",
    Right = "right",
    Justify = "justify"
}
/**
 * Enumeration for vertical alignment.
 * @public
 */
export declare enum VerticalAlignment {
    Top = 1,
    Middle = 2,
    Bottom = 3
}
//# sourceMappingURL=Alignment.d.ts.map