"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Common
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerticalAlignment = exports.HorizontalAlignment = void 0;
/**
 * Enumeration for horizontal alignment.
 * @public
 */
var HorizontalAlignment;
(function (HorizontalAlignment) {
    HorizontalAlignment["Left"] = "left";
    HorizontalAlignment["Center"] = "center";
    HorizontalAlignment["Right"] = "right";
    HorizontalAlignment["Justify"] = "justify";
})(HorizontalAlignment = exports.HorizontalAlignment || (exports.HorizontalAlignment = {}));
/**
 * Enumeration for vertical alignment.
 * @public
 */
var VerticalAlignment;
(function (VerticalAlignment) {
    VerticalAlignment[VerticalAlignment["Top"] = 1] = "Top";
    VerticalAlignment[VerticalAlignment["Middle"] = 2] = "Middle";
    VerticalAlignment[VerticalAlignment["Bottom"] = 3] = "Bottom";
})(VerticalAlignment = exports.VerticalAlignment || (exports.VerticalAlignment = {}));
//# sourceMappingURL=Alignment.js.map