/** @packageDocumentation
 * @module Form
 */
import * as React from "react";
import { FieldDef } from "./Form";
/** Properties used to create a [[Field]] in a [[Form]]
 * @beta
 */
export interface FieldProps extends FieldDef {
    id: string;
}
/** Component that represents a single field in an input form. Only four type of editors are supported. Field gets/sets state data from/to the context control by the form.
 * @beta
 */
export declare class Field extends React.Component<FieldProps> {
    constructor(props: FieldProps);
    render(): JSX.Element;
}
//# sourceMappingURL=Field.d.ts.map