"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Inputs
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputStatus = void 0;
/** Enum for Input status
 * @public
 */
var InputStatus;
(function (InputStatus) {
    InputStatus["Success"] = "success";
    InputStatus["Warning"] = "warning";
    InputStatus["Error"] = "error";
})(InputStatus = exports.InputStatus || (exports.InputStatus = {}));
//# sourceMappingURL=InputStatus.js.map