/** @packageDocumentation
 * @module Radio
 */
import * as React from "react";
import { LabeledComponentProps } from "../inputs/LabeledComponentProps";
import { CommonProps } from "../utils/Props";
/** Properties for [[Radio]] component
 * @public
 */
export interface RadioProps extends React.InputHTMLAttributes<HTMLInputElement>, CommonProps, LabeledComponentProps {
}
/** Basic radio input component is a wrapper for the `<input type="radio">` HTML element.
 * @public
 */
export declare class Radio extends React.PureComponent<RadioProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=Radio.d.ts.map