/** @packageDocumentation
 * @module Select
 */
import * as React from "react";
import { LabeledComponentProps, MessagedComponentProps } from "../inputs/LabeledComponentProps";
import { SelectProps } from "./Select";
/** Properties for [[LabeledSelect]] components
 * @public
 */
export interface LabeledSelectProps extends SelectProps, LabeledComponentProps, MessagedComponentProps {
}
/** Dropdown wrapper that allows for additional styling and labelling
 * @public
 */
export declare class LabeledSelect extends React.PureComponent<LabeledSelectProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=LabeledSelect.d.ts.map