"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.getParentSelector = void 0;
/** getParentSelector
 * @internal
 */
const getParentSelector = () => {
    let portal = document.querySelector("#portal");
    if (!portal) {
        portal = document.createElement("div");
        portal.id = "portal";
        document.body.appendChild(portal);
    }
    return portal;
};
exports.getParentSelector = getParentSelector;
//# sourceMappingURL=modalHelper.js.map