"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Text
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Headline = void 0;
const React = require("react");
const StyledText_1 = require("./StyledText");
/** Styled headline text React functional component
 * @public
 */
function Headline(props) {
    return React.createElement(StyledText_1.StyledText, Object.assign({}, props, { mainClassName: "uicore-text-headline" }));
}
exports.Headline = Headline;
//# sourceMappingURL=Headline.js.map