"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Text
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.LeadingText2 = void 0;
const React = require("react");
const StyledText_1 = require("./StyledText");
/** Styled leading text React functional component
 * @public
 */
function LeadingText2(props) {
    return React.createElement(StyledText_1.StyledText, Object.assign({}, props, { mainClassName: "uicore-text-leading-2" }));
}
exports.LeadingText2 = LeadingText2;
//# sourceMappingURL=LeadingText2.js.map