"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Text
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Subheading2 = void 0;
const React = require("react");
const StyledText_1 = require("./StyledText");
/** Styled subheading text React functional component
 * @public
 */
function Subheading2(props) {
    return React.createElement(StyledText_1.StyledText, Object.assign({}, props, { mainClassName: "uicore-text-subheading-2" }));
}
exports.Subheading2 = Subheading2;
//# sourceMappingURL=Subheading2.js.map