"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Tiles
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MinimalFeaturedTile = void 0;
const React = require("react");
const Tile_1 = require("./Tile");
/** Minimal and Featured [[Tile]] component
 * @beta
 */
function MinimalFeaturedTile(props) {
    return React.createElement(Tile_1.Tile, Object.assign({}, props, { minimal: true, featured: true }));
}
exports.MinimalFeaturedTile = MinimalFeaturedTile;
//# sourceMappingURL=MinimalFeaturedTile.js.map