"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Tiles
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MinimalTile = void 0;
const React = require("react");
const Tile_1 = require("./Tile");
/** Minimal [[Tile]] component
 * @beta
 */
function MinimalTile(props) {
    return React.createElement(Tile_1.Tile, Object.assign({}, props, { minimal: true }));
}
exports.MinimalTile = MinimalTile;
//# sourceMappingURL=MinimalTile.js.map