"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResizeObserver = void 0;
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
const ResizeObserverPolyfill = require("resize-observer-polyfill");
function getModule(mod) {
    /* istanbul ignore if */
    if (mod.default)
        return mod.default;
    return mod;
}
/** @internal */
exports.ResizeObserver = getModule(ResizeObserverPolyfill); // eslint-disable-line @typescript-eslint/naming-convention
//# sourceMappingURL=ResizeObserverPolyfill.js.map