/** @packageDocumentation
 * @module Utilities
 */
/** Returns callback ref that is easy to setup and cleanup (API wise similar to React.useEffect).
 * @internal
 */
export declare function useRefEffect<T>(callback: (instance: T | null) => (void | (() => void)), deps: ReadonlyArray<any>): (instance: T | null) => void;
//# sourceMappingURL=useRefEffect.d.ts.map