/** @packageDocumentation
 * @module Utilities
 */
import * as React from "react";
/** Hook used to combine multiple refs.
 * @internal
 */
export declare function useRefs<T>(...refs: ReadonlyArray<React.Ref<T>>): (instance: T | null) => void;
/** Used to combine multiple refs for a class component.
 * @internal
 */
export declare function mergeRefs<T>(...refs: ReadonlyArray<React.Ref<T>>): (instance: T | null) => void;
//# sourceMappingURL=useRefs.d.ts.map