/** @packageDocumentation
 * @module Utilities
 */
import * as React from "react";
/** lodash throttle options
 * @internal
 */
export interface ThrottleSettings {
    leading: boolean;
    trailing: boolean;
}
/** Used to throttle function calls
 * @internal
 */
export declare function useThrottledFn<T extends (...args: any) => any>(functionToThrottle: T, waitTime: number, dependencies: React.DependencyList, options?: ThrottleSettings): import("lodash").DebouncedFunc<T>;
//# sourceMappingURL=useThrottledFn.d.ts.map