"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Base
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DivWithOutsideClick = void 0;
const React = require("react");
const withOnOutsideClick_1 = require("../hocs/withOnOutsideClick");
/** Div element with Outside Click behavior
 * @public
 */
exports.DivWithOutsideClick = withOnOutsideClick_1.withOnOutsideClick((props) => (React.createElement("div", Object.assign({}, props)))); // eslint-disable-line @typescript-eslint/naming-convention
//# sourceMappingURL=DivWithOutsideClick.js.map