"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Base
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScrollView = void 0;
const React = require("react");
const Div_1 = require("./Div");
/** Scroll View React functional component.
 * Scrolls content vertically and
 * has the 'overflow-y: auto' CSS property and has a height and width of 100%.
 * @public
 */
function ScrollView(props) {
    return React.createElement(Div_1.Div, Object.assign({}, props, { mainClassName: "uicore-scrollview" }));
}
exports.ScrollView = ScrollView;
//# sourceMappingURL=ScrollView.js.map