/** @packageDocumentation
 * @module ContextMenu
 */
/** Enum to specify where a [[ContextMenu]] should anchor to its parent element
 * @public
 */
export declare enum ContextMenuDirection {
    None = "",
    TopLeft = "top left",
    Top = "top",
    TopRight = "top right",
    Left = "left",
    Center = "center",
    Right = "right",
    BottomLeft = "bottom left",
    Bottom = "bottom",
    BottomRight = "bottom right"
}
//# sourceMappingURL=ContextMenuDirection.d.ts.map