"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module ContextMenu
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextMenuDirection = void 0;
/** Enum to specify where a [[ContextMenu]] should anchor to its parent element
 * @public
 */
var ContextMenuDirection;
(function (ContextMenuDirection) {
    ContextMenuDirection["None"] = "";
    ContextMenuDirection["TopLeft"] = "top left";
    ContextMenuDirection["Top"] = "top";
    ContextMenuDirection["TopRight"] = "top right";
    ContextMenuDirection["Left"] = "left";
    ContextMenuDirection["Center"] = "center";
    ContextMenuDirection["Right"] = "right";
    ContextMenuDirection["BottomLeft"] = "bottom left";
    ContextMenuDirection["Bottom"] = "bottom";
    ContextMenuDirection["BottomRight"] = "bottom right";
})(ContextMenuDirection = exports.ContextMenuDirection || (exports.ContextMenuDirection = {}));
//# sourceMappingURL=ContextMenuDirection.js.map