"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Common
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SortDirection = void 0;
/**
 * Enumeration for sorting direction.
 * @public
 */
var SortDirection;
(function (SortDirection) {
    SortDirection[SortDirection["NoSort"] = 0] = "NoSort";
    SortDirection[SortDirection["Ascending"] = 1] = "Ascending";
    SortDirection[SortDirection["Descending"] = 2] = "Descending";
})(SortDirection = exports.SortDirection || (exports.SortDirection = {}));
//# sourceMappingURL=SortDirection.js.map