"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Common
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeFormat = void 0;
/** Enumeration of time formats.
 * @public
 */
var TimeFormat;
(function (TimeFormat) {
    /** Show Date and time using toISOString */
    TimeFormat[TimeFormat["None"] = 0] = "None";
    /** Show Date using toLocaleDateString */
    TimeFormat[TimeFormat["Short"] = 1] = "Short";
    /** Show Date Time using toLocaleString */
    TimeFormat[TimeFormat["Long"] = 2] = "Long";
})(TimeFormat = exports.TimeFormat || (exports.TimeFormat = {}));
//# sourceMappingURL=TimeFormat.js.map