/** @packageDocumentation
 * @module Icon
 */
import "./SvgSprite.scss";
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties of [[SvgSprite]] component.
 * @public
 */
export interface SvgSpriteProps extends CommonProps {
    /** Source for the Svg */
    src: string;
}
/** Svg element wrapper.
 * @public
 */
export declare class SvgSprite extends React.PureComponent<SvgSpriteProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=SvgSprite.d.ts.map