/** @packageDocumentation
 * @module Inputs
 */
import * as React from "react";
import { CommonProps } from "../utils/Props";
import { LabeledComponentProps, MessagedComponentProps } from "./LabeledComponentProps";
/** Properties for [[InputLabel]] components
 * @public
 */
export interface InputLabelProps extends LabeledComponentProps, MessagedComponentProps, CommonProps {
    disabled?: boolean;
}
/** Text input wrapper that provides additional styling and labeling
 * @public
 */
export declare class InputLabel extends React.PureComponent<InputLabelProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=InputLabel.d.ts.map