/** @packageDocumentation
 * @module Inputs
 */
import { InputProps } from "./Input";
import { LabeledComponentProps, MessagedComponentProps } from "./LabeledComponentProps";
/** Properties for [[LabeledInput]] components
 * @public
 */
export interface LabeledInputProps extends InputProps, LabeledComponentProps, MessagedComponentProps {
}
/** Text input wrapper that provides additional styling and labeling
 * @public
 */
export declare function LabeledInput(props: LabeledInputProps): JSX.Element;
//# sourceMappingURL=LabeledInput.d.ts.map