/** @packageDocumentation
 * @module Inputs
 */
import { LabeledComponentProps, MessagedComponentProps } from "./LabeledComponentProps";
import { TextareaProps } from "./Textarea";
/** Properties for [[LabeledTextarea]] component
 * @public
 */
export interface LabeledTextareaProps extends TextareaProps, LabeledComponentProps, MessagedComponentProps {
}
/** Textarea wrapper that allows for additional styling and labelling
 * @public
 */
export declare function LabeledTextarea(props: LabeledTextareaProps): JSX.Element;
//# sourceMappingURL=LabeledTextarea.d.ts.map