"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Notification
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isReactMessage = exports.isHTMLElement = void 0;
/** HTMLElement type guard.
 * @internal
 */
const isHTMLElement = (message) => {
    return message.outerHTML !== undefined;
};
exports.isHTMLElement = isHTMLElement;
/** ReactMessage type guard.
 * @internal
 */
const isReactMessage = (message) => {
    return message.reactNode !== undefined;
};
exports.isReactMessage = isReactMessage;
//# sourceMappingURL=MessageType.js.map