/** @packageDocumentation
 * @module Select
 */
import { LabeledComponentProps, MessagedComponentProps } from "../inputs/LabeledComponentProps";
import { ThemedSelectProps } from "./ThemedSelect";
/** Properties for [[LabeledThemedSelect]] components
 * @beta
 */
export interface LabeledThemedSelectProps extends ThemedSelectProps, LabeledComponentProps, MessagedComponentProps {
}
/** Dropdown wrapper that allows for additional styling and labelling
 * @beta
 */
export declare function LabeledThemedSelect(props: LabeledThemedSelectProps): JSX.Element;
//# sourceMappingURL=LabeledThemedSelect.d.ts.map