"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DisabledText = void 0;
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Text
 */
const React = require("react");
const StyledText_1 = require("./StyledText");
/** Styled disabled text React functional component
 * @public
 */
function DisabledText(props) {
    return React.createElement(StyledText_1.StyledText, Object.assign({}, props, { mainClassName: "uicore-text-disabled" }));
}
exports.DisabledText = DisabledText;
//# sourceMappingURL=DisabledText.js.map