/** @packageDocumentation
 * @module Text
 */
import { TextProps } from "./TextProps";
/** Properties for [[StyledText]] component
 * @public
 */
export interface StyledTextProps extends TextProps {
    /** Main CSS class name */
    mainClassName: string;
}
/** The base component for other text components that pass a main CSS class name.
 * @public
 */
export declare function StyledText(props: StyledTextProps): JSX.Element;
//# sourceMappingURL=StyledText.d.ts.map