"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Text
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Title = void 0;
const React = require("react");
const StyledText_1 = require("./StyledText");
/** Styled title text React functional component
 * @public
 */
function Title(props) {
    return React.createElement(StyledText_1.StyledText, Object.assign({}, props, { mainClassName: "uicore-text-title" }));
}
exports.Title = Title;
//# sourceMappingURL=Title.js.map