"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Tiles
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.FeaturedTile = void 0;
const React = require("react");
const Tile_1 = require("./Tile");
/** Featured [[Tile]] component
 * @beta
 */
function FeaturedTile(props) {
    return React.createElement(Tile_1.Tile, Object.assign({}, props, { featured: true }));
}
exports.FeaturedTile = FeaturedTile;
//# sourceMappingURL=FeaturedTile.js.map