/** @packageDocumentation
 * @module Tree
 */
import "./Branch.scss";
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties for [[TreeBranch]] React component
 * @public
 */
export interface TreeBranchProps extends CommonProps {
    /** Child nodes of the tree branch */
    children?: React.ReactNode;
}
/** Presentation React component for a Tree branch
 * @public
 */
export declare class TreeBranch extends React.PureComponent<TreeBranchProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=Branch.d.ts.map