"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module UiSettings
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.UiSettingsStatus = void 0;
/** Enum for [[UiSettingsStorage]] status.
 * @public
 */
var UiSettingsStatus;
(function (UiSettingsStatus) {
    UiSettingsStatus[UiSettingsStatus["Success"] = 0] = "Success";
    UiSettingsStatus[UiSettingsStatus["NotFound"] = 1] = "NotFound";
    UiSettingsStatus[UiSettingsStatus["UnknownError"] = 2] = "UnknownError";
    UiSettingsStatus[UiSettingsStatus["Uninitialized"] = 3] = "Uninitialized";
    UiSettingsStatus[UiSettingsStatus["AuthorizationError"] = 4] = "AuthorizationError";
})(UiSettingsStatus = exports.UiSettingsStatus || (exports.UiSettingsStatus = {}));
//# sourceMappingURL=UiSettingsStorage.js.map